#ifndef UU_CHACHA_H
#define UU_CHACHA_H

#include "uulib/CONF.h"

void cc_seed(const UCHAR *data, UV nbytes);

void cc_rand16(U16 *out);
void cc_rand32(U32 *out);
void cc_rand64(U64 *out);
void cc_rand128(void *out);

#endif
/* ex:set ts=2 sw=2 itab=spaces: */
